## enhanceio 0+git20190417.5815670

=== Driver/enhanceio/Makefile ===
# test
# Makefile for EnhanceIO block device caching.
#

COMMIT_REV ?= $(shell echo)
KERNEL_SOURCE_VERSION ?= $(shell uname -r)
KERNEL_TREE ?= /lib/modules/$(KERNEL_SOURCE_VERSION)/build
EXTRA_CFLAGS += -I$(KERNEL_TREE)/drivers/md -I./ -DCOMMIT_REV="\"$(COMMIT_REV)\""
EXTRA_CFLAGS += -I$(KERNEL_TREE)/include/ -I$(KERNEL_TREE)/include/linux 
obj-m	+= enhanceio.o enhanceio_lru.o enhanceio_fifo.o  enhanceio_rand.o
enhanceio-y	+= \
	eio_conf.o \
	eio_ioctl.o \
	eio_main.o \
	eio_mem.o \
	eio_policy.o \
	eio_procfs.o \
	eio_setlru.o \
	eio_subr.o \
	eio_ttc.o
enhanceio_fifo-y	+= eio_fifo.o
enhanceio_rand-y	+= eio_rand.o
enhanceio_lru-y	+= eio_lru.o
.PHONY: all
all: modules
.PHONY:    modules
modules:
	make -C $(KERNEL_TREE) M=$(CURDIR) modules V=0
.PHONY: modules_install
modules_install: modules
	install -o root -g root -m 0755 -d $(DESTDIR)/lib/modules/$(KERNEL_SOURCE_VERSION)/extra/enhanceio/
	install -o root -g root -m 0755 enhanceio.ko $(DESTDIR)/lib/modules/$(KERNEL_SOURCE_VERSION)/extra/enhanceio/
	install -o root -g root -m 0755 enhanceio_rand.ko $(DESTDIR)/lib/modules/$(KERNEL_SOURCE_VERSION)/extra/enhanceio/
	install -o root -g root -m 0755 enhanceio_fifo.ko $(DESTDIR)/lib/modules/$(KERNEL_SOURCE_VERSION)/extra/enhanceio/
	install -o root -g root -m 0755 enhanceio_lru.ko $(DESTDIR)/lib/modules/$(KERNEL_SOURCE_VERSION)/extra/enhanceio/
	depmod -a
.PHONY: install
install: modules_install
.PHONY: clean
clean:
	make -C $(KERNEL_TREE) M=$(CURDIR) clean

## enhanceio 0+git20130620

=== debian/changelog ===
enhanceio (0+git20130620-5) experimental; urgency=medium

  [ Philipp Edelmann <edelmann@fs.tum.de> ]
  * New patch for compatibility with Linux 3.18 (Closes: #773188).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 24 Jan 2015 00:37:33 +1100

enhanceio (0+git20130620-4) experimental; urgency=medium

  [ Philipp Edelmann <edelmann@fs.tum.de> ]
  * New patch for compatibility with Linux 3.17 (Closes: #764633).

  [ Dmitry Smirnov <onlyjob@debian.org> ]
  * Standards-Version: 3.9.6.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 20 Nov 2014 14:54:45 +1100

enhanceio (0+git20130620-3) experimental; urgency=low

  * Updated "make.patch" to build without "-fstack-protector". This fixed
    module load error "Unknown symbol __stack_chk_fail" (Closes: #748529).

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 19 May 2014 20:01:57 +1000

enhanceio (0+git20130620-2) experimental; urgency=low

  * New patch for compatibility with Linux-3.14.
  * New patch to bypass writes in 'ro' mode.
  * Standards to 3.9.5.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 24 Apr 2014 19:08:30 +1000

enhanceio (0+git20130620-1) experimental; urgency=low

  * New upstream revision to fix FTBFS with Linux 3.10+ (Closes: #720676).
  * Fixed get-orig-source to checkout proper revision.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 04 Oct 2013 13:37:15 +1000

enhanceio (0+git20130619-1) experimental; urgency=low

  * Initial release (Closes: #702256).

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 10 Jul 2013 22:39:39 +1000

=== debian/control ===
Source: enhanceio
Section: kernel
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), dkms, python
X-Python-Version: >= 2.6
Standards-Version: 3.9.6
Homepage: https://github.com/stec-inc/EnhanceIO
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/enhanceio.git
Vcs-Git: git://anonscm.debian.org/collab-maint/enhanceio.git

Package: enhanceio
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
        ,enhanceio-dkms (= ${source:Version})
        ,kmod
Recommends: udev
Suggests: fio
Section: utils
Description: dynamic block device cache for Linux (user space utility)
 EnhanceIO is a dynamic block level cache to improve performance of
 rotating hard disk drives by using SSDs as cache devices.
 .
 EnhanceIO derived from Flashcache project but it does not use device
 mapper and can create and delete caches while a source volume is being
 used (i.e. mounted).
 .
 EnhanceIO supports three caching modes: read-only, write-through, and
 write-back and three cache replacement policies: random, FIFO, and LRU.
 .
 This package provides user space utility `eio_cli` required to manage
 caches through command line interface to corresponding kernel module.

Package: enhanceio-dkms
Architecture: all
Depends: ${misc:Depends}
Recommends: enhanceio (= ${source:Version})
# the following packages provide required "stdarg.h":
 ,libgcc-4.7-dev | libgcc-4.8-dev
Description: dynamic block device cache for Linux (DKMS version)
 EnhanceIO is a dynamic block level cache to improve performance of
 rotating hard disk drives by using SSDs as cache devices.
 .
 EnhanceIO derived from Flashcache project but it does not use device
 mapper and can create and delete caches while a source volume is being
 used (i.e. mounted).
 .
 EnhanceIO supports three caching modes: read-only, write-through, and
 write-back and three cache replacement policies: random, FIFO, and LRU.
 .
 This package provides DKMS kernel module for Linux Kernel 3.7+.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Uncomment this to turn on verbose mode.
##export DH_VERBOSE=1

PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
PKG  = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
VER ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{Version:\s*([\d.]+(?:\+git\d+|\+dfsg\d+))}')

%:
	dh $@ --with dkms,python2

override_dh_dkms:
	dh_dkms -V $(VER)

override_dh_install:
	dh_install --package=$(PKG)-dkms Driver/enhanceio/* /usr/src/enhanceio-$(VER)
	dh_install

override_dh_builddeb:
	dh_builddeb -- -Zxz

## http://wiki.debian.org/onlyjob/get-orig-source
UDATE = $(shell date --rfc-3339=seconds --date='TZ="UTC" $(shell echo $(VER) | perl -ne 'print "$$1-$$2-$$3" if m/\+(?:git|svn|hg)(\d{4})(\d{2})(\d{2})/')')
.PHONY: get-orig-source
get-orig-source: $(PKG)_$(VER).orig.tar.xz $(info I: $(PKG)_$(VER))
	@

UURL = git://github.com/stec-inc/EnhanceIO.git
$(PKG)_$(VER).orig.tar.xz: $(info I: UDATE=$(UDATE))
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Downloading..."
	#uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
	git clone $(UURL) $(PKG)-$(VER) \
        || $(RM) -r $(PKG)-$(VER)
	cd $(PKG)-$(VER) \
        && git checkout v$(VER) || git checkout $$(git log -n1 --format=%h --before="$(UDATE)") \
        && [ -s ChangeLog ] || ( echo "# Generating ChangeLog..." \
           ; git log --pretty="format:%ad  %aN  <%aE>%n%n%x09* %s%n" --date=short > ChangeLog \
           ; touch -d "$$(git log -1 --format='%ci')" ChangeLog) \
        && echo "# Setting times..." \
        && for F in $$(git ls-tree -r --name-only HEAD); do touch --no-dereference -d "$$(git log -1 --format="%ai" -- $$F)" "$$F"; done \
        && $(RM) -r .git .git*
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
        | XZ_OPT="-6v" tar -caf "$(PKG)_$(VER).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
        && $(RM) -r "$(PKG)-$(VER)"

=== debian/watch ===
# uscan(1) configuration file.
version=3

## Upstream do not tag releases yet.
## To generate orig.tar please use "debian/rules get-orig-source".

opts=\
dversionmangle=s/\+git(\d+)/$1/,\
 https://github.com/stec-inc/EnhanceIO/tags .*/archive/v?(\d[-\d\.]+)\.tar\.gz

## enhanceio 0+git20190417.5815670

=== debian/changelog ===
enhanceio (0+git20190417.5815670-1.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support.  (Closes: #968019)
  * Switch to dh-sequence-dkms.
  * Enable Testsuite: autopkgtest-pkg-dkms.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 05 Mar 2025 21:40:45 +0100

enhanceio (0+git20190417.5815670-1) experimental; urgency=medium

  * New upstream snapshot.
    + fixed compilation with kernel 4.4+ (Closes: #815643).
  * New upstream.
  * VCS URLs to Salsa.
  * control: "Rules-Requires-Root: no".
  * Standards-Version: 4.5.0.
  * DH to version 12.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 26 Jan 2020 22:26:03 +1100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,19 @@
 Section: kernel
 Priority: optional
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 9), dkms, python
-X-Python-Version: >= 2.6
-Standards-Version: 3.9.6
-Homepage: https://github.com/stec-inc/EnhanceIO
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/enhanceio.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/enhanceio.git
+Build-Depends:
+ debhelper-compat (= 12),
+ dh-sequence-dkms,
+Standards-Version: 4.5.0
+Homepage: https://github.com/lanconnected/EnhanceIO
+Vcs-Browser: https://salsa.debian.org/debian/enhanceio
+Vcs-Git: https://salsa.debian.org/debian/enhanceio.git
+Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-dkms
 
 Package: enhanceio
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: ${misc:Depends},
         ,enhanceio-dkms (= ${source:Version})
         ,kmod
 Recommends: udev
@@ -35,8 +38,6 @@
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: enhanceio (= ${source:Version})
-# the following packages provide required "stdarg.h":
- ,libgcc-4.7-dev | libgcc-4.8-dev
 Description: dynamic block device cache for Linux (DKMS version)
  EnhanceIO is a dynamic block level cache to improve performance of
  rotating hard disk drives by using SSDs as cache devices.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Uncomment this to turn on verbose mode.
##export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

execute_after_dh_install:
	dh_install --package=$(DEB_SOURCE)-dkms Driver/enhanceio/* /usr/src/enhanceio-$(DEB_VERSION_UPSTREAM)

=== debian/watch ===
# https://salsa.debian.org/snippets/96
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
mode=git,gitmode=shallow,date=%Y%m%d,pretty=0+git%cd.%h,\
repack,compression=xz,repacksuffix=+dfsg,\
" https://github.com/lanconnected/EnhanceIO.git \
  heads/master
